summaryrefslogtreecommitdiff
path: root/notepadpp
diff options
context:
space:
mode:
authorB Stack <bgstack15@gmail.com>2021-02-01 14:09:22 -0500
committerB Stack <bgstack15@gmail.com>2021-02-01 14:09:22 -0500
commitf9d5e4ced8d27555594a9f4b224b4aa875bb9d4c (patch)
tree9b604a828b02eff751049070a19e11deccbd7b6e /notepadpp
parentMerge branch 'waterfox-bump' into 'master' (diff)
downloadstackrpms-f9d5e4ced8d27555594a9f4b224b4aa875bb9d4c.tar.gz
stackrpms-f9d5e4ced8d27555594a9f4b224b4aa875bb9d4c.tar.bz2
stackrpms-f9d5e4ced8d27555594a9f4b224b4aa875bb9d4c.zip
npp 7.9.2 rc1
Diffstat (limited to 'notepadpp')
-rw-r--r--notepadpp/debian/changelog76
-rwxr-xr-xnotepadpp/deploy-to-obs.sh36
2 files changed, 112 insertions, 0 deletions
diff --git a/notepadpp/debian/changelog b/notepadpp/debian/changelog
index bd33782..a7d0ec8 100644
--- a/notepadpp/debian/changelog
+++ b/notepadpp/debian/changelog
@@ -1,3 +1,79 @@
+notepadpp (7.9.2-1+devuan) obs; urgency=medium
+
+ - Enhancements and bug-fixes:
+ * Fix regression of auto-Indent. (Fix
+ [#9113](https://github.com/notepad-plus-plus/notepad-plus-plus/issues/9113))
+ * Add custom URI schemes ability. (Fix #9155)
+ * Improve URL parser: fix apostrophe in an URL issue. (Fix #9031)
+ * Add context menu with "Copy link" ability. (Implement #2435)
+ * Add color samples on menu items for styling features. (Fix #8983)
+ * Add "-settingsDir" argument for overriding default settings path.
+ (implement #4696)
+ * Fix crash while exit command issued by plugin. (Fix #9082)
+ * Fix several bugs of PHP parser rule for function list. (Fix
+ #3321, #5045, #4627, #4606, #8855, #4208, #981, #2522, #1103, #4712,
+ #3560, #5150, #4606)
+ * Move "Normal Text" to top in Languages Menu. (Implement #7746,
+ #8277)
+ * Add new API NPPM_GETSETTINGSONCLOUDPATH for plugins. (Implement
+ #9168)
+ * Add an option for displaying constant line number width.
+ (Implement #5670)
+ * Fix function list is empty with new user profile in the same PC
+ issue. (Fix #9134)
+ * Fix single-quoted string being badly recognized as attribute
+ value in XML. (Fix #3403)
+ * Fix docked panels appear with "-nosession" cmd line parameters.
+ (Fix #8005)
+ * Improve text selection after Replace All In Selection operation.
+ (Fix #9270)
+ * Add the number of total documents on windows dialog's title bar.
+ (Implement #8338)
+ * Fix scroll to last line problem after main window resizing. (Fix
+ #9123)
+ * Fix Plugin admin display UTF-8 issue in its description. (Fix
+ #9266)
+ * Fix Search result's text direction (RTL) not always synchronized
+ with main edit zone's one issue. (Fix #9241)
+ * Fix dockable panels display issue in RTL direction. (Fix #9241)
+ * Fix Search result line number highlighting inaccurate issue. (Fix
+ #9224)
+ * Make "Line" preceding each line number on Search Results
+ translatable. (Fix #9224)
+ * Fix menu check marks not being removed after closing "Clipboard
+ History" and "Character Panel" panels. (Fix #9216)
+ * Fix command line arguments -p, -n & -c negative value's undefined
+ behaviour. (Fix #9146)
+ * Add new Margin/Border/Edge sub-page in Preferences. (Implement
+ #8896)
+ * Fix find in files failure issue due to directory path with
+ leading/trailing spaces. (Fix #9199)
+ * Fix folder icon display issue in "Folder as Workspace" after
+ "Expand/Collapse All". (Fix #8912)
+ * Make "Clipboard History" and "Character Panel" togglable. (Fix
+ #9094, #9078)
+ * Fix Find in found results dialog launch failure after macro
+ execution. (Fix #8199)
+ * Disallow Goto dlg offset option from moving to position inside
+ multi-byte char or between CR and LF. (Fix #9101, #9125)
+ * Fix "Go to..." dialog wrong Offset value in empty files. (Fix
+ #9145)
+ * Prevent corruption possibility when using -p command line
+ parameter in a UTF file. (Fix #9142)
+ * Improve indent guidelines on non-brace control block languages.
+ (Fix #9137)
+ * Prevent names of untitled tabs from duplication. (Fix #9119)
+ * Add tooltips for Folder as Workspace 3 commands. (Fix #8325)
+ * Fix "SCI_NEWLINE" inside a macro not working issue. (Fix #5571)
+ * Fix bug where search-results won't open 'new 1' file. (Fix #8461,
+ #9098)
+ * Fix tab close button remain pushed issue. (Fix #7750)
+ * Enhance ghost typing command line argument feature - using white
+ space directly instead of %20.
+ ([Commit](https://github.com/notepad-plus-plus/notepad-plus-plus/commit/f617325006e7b7f22340b0a49f60a82e3d0392b4))
+
+ -- B. Stack <bgstack15@gmail.com> Mon, 01 Feb 2021 13:58:10 -0500
+
notepadpp (7.9.1-1+devuan) obs; urgency=medium
- Packaging
diff --git a/notepadpp/deploy-to-obs.sh b/notepadpp/deploy-to-obs.sh
new file mode 100755
index 0000000..5c9863f
--- /dev/null
+++ b/notepadpp/deploy-to-obs.sh
@@ -0,0 +1,36 @@
+#!/bin/sh
+# Startdate: 2020-11-04 15:06
+# Purpose: make it a oneliner to get into the OBS
+# Reference:
+# ublock-origin-combined/deploy-to-obs.sh
+# Dependencies:
+# osc
+
+devdir=~/dev
+gitdir="${devdir}/stackrpms/notepadpp"
+obsdir="${devdir}/osc/home:bgstack15/notepadpp"
+
+# Flow
+cd "${devdir}"
+"${gitdir}/build-orig-tarball.sh"
+echo "DONE WITH build-orig-tarball"
+tf="$( find . -maxdepth 1 -name 'notepadpp*orig*z' -printf '%T@ %f\n' | sort -n -k1 | awk '{print $NF}' | tail -n1 )"
+tar -zxf "${tf}"
+cd "$( tar -zvtf "${tf}" | awk '/^d/{print $NF}' | head -n1 )"
+cp -pr "${gitdir}/debian" .
+debuild -us -uc # depends on dpkg-dev=1.19.7 and not 1.20.5 which is still broken in Ceres as of 2020-11-04
+test $? -eq 0 || { "debuild failed. Cannot continue. Aborted." ; exit 1 ; }
+cd "${devdir}"
+dsc_file="$( find . -maxdepth 1 -name 'notepadpp*dsc' -printf '%T@ %f\n' | sort -n -k1 | awk '{print $NF}' | tail -n1 | cut -d' ' -f2 )"
+debian_tar_file="$( find . -maxdepth 1 -name 'notepadpp*debian*z' -printf '%T@ %f\n' | sort -n -k1 | awk '{print $NF}' | tail -n1 | cut -d' ' -f2 )"
+
+# prep obs
+cd "${obsdir}"
+osc up
+osc rm *
+cd "${devdir}"
+cp -p "${dsc_file}" "${debian_tar_file}" "${tf}" "${obsdir}/"
+cd "${obsdir}"
+#find . -mindepth 1 -maxdepth 1 ! -name "${dsc_file}" ! -name "${debian_tar_file}" ! -name "${tf}" -delete
+osc add *
+osc commit # will prompt for commit name
bgstack15